Doomsday Engine - Feature #1480

Include screenshot in savegames
2009-01-06 11:13 - deus-ex

Status: New Start date: 2007-03-21
Priority: Normal % Done: 0%
Assignee:

Category: Enhancement

Target version: User interface

Description

It would be a nice addition to the interface if a small screenshot would be saved along with the savegame which then is displayed in
the save/loadgame interface.

The screenshot doesn't need to be included into the savegame itself but can exist as an separate file with the same name. Then the
savegame or screenshot can be distributed independantly of each other if necessary. The interface would show a default image for a
missing screenshot.

Another solution would be to write savegames into a ZIP-file accompanied by the screenshot, thus keeping related files easily
together and optionally reducing the required diskspace for both, if you would not choose to simply store the files into a ZIP-archive
without any further compression for speed reasons.

Labels: User Interface

Related issues:

Related to Feature #1203: Additional save slots — revised save management Progressed  2003-06-20
Follows Feature #1732: Libcommon savegame system Closed 2007-03-20
History

#1 - 2013-10-19 18:49 - skyjake
- Tags set to Ul, SaveGame
- Subject changed from Savegame: include screenshot (like in Duke 3D) to Include screenshot in savegames

- Category set to User experience

#2 - 2016-08-09 11:10 - skyjake
- Due date deleted (2007-03-21)

#3 - 2019-11-29 16:18 - skyjake

- Related to Feature #1203: Additional save slots — revised save management added

#4 - 2019-11-29 21:28 - skyjake

- Target version set to User interface

#5 - 2019-11-29 21:28 - skyjake

- Category changed from User experience to Enhancement
